Datasets
List labels to check
The labels prompt tuning doubted in this dataset, each with its row, until you dismiss them on the jobs that flagged them. A row’s label never changes: a fix is a new dataset.
GET
/
v1
/
datasets
/
{dataset_id}
/
labels-to-check
List labels to check
curl --request GET \
--url https://api.sqwish.ai/v1/datasets/{dataset_id}/labels-to-check \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sqwish.ai/v1/datasets/{dataset_id}/labels-to-check"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sqwish.ai/v1/datasets/{dataset_id}/labels-to-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"row": "<string>",
"line": 123,
"decision": "<string>",
"reason": "<string>",
"jobs": [
"<string>"
],
"flagged_at": 123,
"context": "<string>",
"targets": {}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}List labels to check
curl --request GET \
--url https://api.sqwish.ai/v1/datasets/{dataset_id}/labels-to-check \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sqwish.ai/v1/datasets/{dataset_id}/labels-to-check"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sqwish.ai/v1/datasets/{dataset_id}/labels-to-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"row": "<string>",
"line": 123,
"decision": "<string>",
"reason": "<string>",
"jobs": [
"<string>"
],
"flagged_at": 123,
"context": "<string>",
"targets": {}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}